Bug 1173605 - Constant disconnects with freerdp v2.1.2
Constant disconnects with freerdp v2.1.2
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Virtualization:Other
Current
x86-64 All
: P5 - None : Normal (vote)
: Current
Assigned To: Johannes Weberhofer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-01 21:08 UTC by Tad Bilby
Modified: 2020-08-18 19:18 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tad Bilby 2020-07-01 21:08:05 UTC
after updating from freerdp version 2.1.1 to version 2.1.2, I immediately noticed constant disconnects.
I use Remmina as a frontend, which automatically tries to reconnect to the remote host, after a disconnect happens.
This results in the following scenario:

I successfully connect to a remote host
I try to open a folder on the desktop of the remote host (or do any other action such as opening the "start-menu")
freerdp disconnects
remmina shows a black screen saying that it will try to reconnect
freerdp reconnects
I try the next action on the remote host
freerdp disconnects again
and so on...

FreeRDP/FreeRDP#6303
https://github.com/FreeRDP/FreeRDP/issues/6303
FreeRDP/FreeRDP#6298
https://github.com/FreeRDP/FreeRDP/issues/6298
FreeRDP/FreeRDP#6299
https://github.com/FreeRDP/FreeRDP/issues/6299
Comment 1 Johannes Weberhofer 2020-07-02 09:38:52 UTC
Hi Tad! I have ported a fix to https://build.opensuse.org/package/show/X11:RemoteDesktop/freerdp

Please test if that solves your issue.
Comment 2 Johannes Weberhofer 2020-07-02 09:40:05 UTC
I just saw, that you have filed that issue for openSUSE 42.3 which we no longer build packages for.
Comment 3 Tad Bilby 2020-07-02 20:09:22 UTC
Hello,

After downgrading freerdp, I can connect via RDP.


NAME="openSUSE Tumbleweed"
# VERSION="20200630"

suse13:~ # rpm -evh krdc-lang-20.04.2-1.1.noarch
Preparing...                          ################################# [100%]
Cleaning up / removing...
   1:krdc-lang-20.04.2-1.1            ################################# [100%]
suse13:~ # rpm -evh krdc-20.04.2-1.1.x86_64     
Preparing...                          ################################# [100%]
Cleaning up / removing...
   1:krdc-20.04.2-1.1                 ################################# [100%]
suse13:~ # rpm -evh freerdp-2.1.2-2.1.x86_64    
Preparing...                          ################################# [100%]
Cleaning up / removing...
   1:freerdp-2.1.2-2.1                ################################# [100%]
suse13:~ # rpm -evh libfreerdp2-2.1.2-2.1.x86_64
Preparing...                          ################################# [100%]
Cleaning up / removing...
   1:libfreerdp2-2.1.2-2.1            ################################# [100%]
.
suse13:~ # rpm -ivh libfreerdp2-2.0.0~rc4-lp152.6.6.x86_64.rpm
Verifying...                          ################################# [100%]
Preparing...                          ################################# [100%]
Updating / installing...
   1:libfreerdp2-2.0.0~rc4-lp152.6.6  ################################# [100%]
suse13:~ # rpm -ivh freerdp-2.0.0~rc4-lp152.6.6.x86_64.rpm
Verifying...                          ################################# [100%]
Preparing...                          ################################# [100%]
Updating / installing...
   1:freerdp-2.0.0~rc4-lp152.6.6      ################################# [100%]
Comment 4 Johannes Weberhofer 2020-07-13 07:52:44 UTC
Alexandros, please test the latest version now available for tumbleweed and let me know if release solves your issues.
Comment 5 Alexandros Toptsoglou 2020-07-13 07:54:35 UTC
(In reply to Johannes Weberhofer from comment #4)
> Alexandros, please test the latest version now available for tumbleweed and
> let me know if release solves your issues.

I think I am not the right person to test it. You probably mean Tad?
Comment 6 Johannes Weberhofer 2020-07-13 07:57:27 UTC
(In reply to Alexandros Toptsoglou from comment #5)
> (In reply to Johannes Weberhofer from comment #4)
> > Alexandros, please test the latest version now available for tumbleweed and
> > let me know if release solves your issues.
> 
> I think I am not the right person to test it. You probably mean Tad?

Yes, Sorry! Tad, please let us know about your results...
Comment 7 Tad Bilby 2020-07-13 14:34:20 UTC
Can you provide a direct link for the new rpm?  I currently have the package locked/frozen.
Thanks,
Comment 8 Johannes Weberhofer 2020-07-13 14:39:50 UTC
(In reply to Tad Bilby from comment #7)
> Can you provide a direct link for the new rpm?  I currently have the package
> locked/frozen.
> Thanks,

Could be enough to update http://download.opensuse.org/tumbleweed/repo/oss/x86_64/libfreerdp2-2.1.2-3.1.x86_64.rpm

Please stop Remmina before trying it again.
Comment 9 Tad Bilby 2020-07-13 15:45:28 UTC
It works OK for the past few minutes.  The symptom before was losing the connection almost immediately after connecting to the RDP server.

Thanks,
Comment 10 Johannes Weberhofer 2020-07-13 15:54:06 UTC
You can now unlock the packages and try out the fully updated version. Please let me know, if you experience any problems. If everything is ok tomorrow, I'll close the ticket.
Thanks for testing!
Comment 11 Johannes Weberhofer 2020-07-14 06:38:17 UTC
As the same issue has been reported at https://gitlab.com/Remmina/Remmina/-/issues/2248#note_378733338 , too and this solution slolves the issue I close the ticket.
Comment 16 Swamp Workflow Management 2020-07-23 19:14:37 UTC
SUSE-SU-2020:2032-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1169679,1169748,1171441,1171443,1171444,1171445,1171446,1171447,1171474,1173247,1173605,1174200
CVE References: CVE-2020-11017,CVE-2020-11018,CVE-2020-11019,CVE-2020-11038,CVE-2020-11039,CVE-2020-11040,CVE-2020-11041,CVE-2020-11043,CVE-2020-11085,CVE-2020-11086,CVE-2020-11087,CVE-2020-11088,CVE-2020-11089,CVE-2020-11095,CVE-2020-11096,CVE-2020-11097,CVE-2020-11098,CVE-2020-11099,CVE-2020-11521,CVE-2020-11522,CVE-2020-11523,CVE-2020-11524,CVE-2020-11525,CVE-2020-11526,CVE-2020-13396,CVE-2020-13397,CVE-2020-13398,CVE-2020-4030,CVE-2020-4031,CVE-2020-4032,CVE-2020-4033
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    freerdp-2.1.2-10.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2020-07-26 22:13:43 UTC
openSUSE-SU-2020:1090-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1169679,1169748,1171441,1171443,1171444,1171445,1171446,1171447,1171474,1173247,1173605,1174200
CVE References: CVE-2020-11017,CVE-2020-11018,CVE-2020-11019,CVE-2020-11038,CVE-2020-11039,CVE-2020-11040,CVE-2020-11041,CVE-2020-11043,CVE-2020-11085,CVE-2020-11086,CVE-2020-11087,CVE-2020-11088,CVE-2020-11089,CVE-2020-11095,CVE-2020-11096,CVE-2020-11097,CVE-2020-11098,CVE-2020-11099,CVE-2020-11521,CVE-2020-11522,CVE-2020-11523,CVE-2020-11524,CVE-2020-11525,CVE-2020-11526,CVE-2020-13396,CVE-2020-13397,CVE-2020-13398,CVE-2020-4030,CVE-2020-4031,CVE-2020-4032,CVE-2020-4033
Sources used:
openSUSE Leap 15.1 (src):    freerdp-2.1.2-lp151.5.6.1
Comment 18 Swamp Workflow Management 2020-07-29 13:14:31 UTC
SUSE-SU-2020:2068-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1169679,1169748,1171441,1171443,1171444,1171445,1171446,1171447,1171474,1173247,1173605,1174200
CVE References: CVE-2020-11017,CVE-2020-11018,CVE-2020-11019,CVE-2020-11038,CVE-2020-11039,CVE-2020-11040,CVE-2020-11041,CVE-2020-11043,CVE-2020-11085,CVE-2020-11086,CVE-2020-11087,CVE-2020-11088,CVE-2020-11089,CVE-2020-11095,CVE-2020-11096,CVE-2020-11097,CVE-2020-11098,CVE-2020-11099,CVE-2020-11521,CVE-2020-11522,CVE-2020-11523,CVE-2020-11524,CVE-2020-11525,CVE-2020-11526,CVE-2020-13396,CVE-2020-13397,CVE-2020-13398,CVE-2020-4030,CVE-2020-4031,CVE-2020-4032,CVE-2020-4033
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    freerdp-2.1.2-15.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 20 Swamp Workflow Management 2020-08-18 19:18:00 UTC
SUSE-SU-2020:2272-1: An update that fixes 46 vulnerabilities is now available.

Category: security (important)
Bug References: 1004108,1050699,1050704,1050708,1050711,1050712,1050714,1085416,1087240,1090677,1103557,1104918,1112028,1116708,1117963,1117964,1117965,1117966,1117967,1120507,1129193,1169679,1169748,1171441,1171443,1171444,1171445,1171446,1171447,1171674,1173247,1173605,1174200,1174321
CVE References: CVE-2017-2834,CVE-2017-2835,CVE-2017-2836,CVE-2017-2837,CVE-2017-2838,CVE-2017-2839,CVE-2018-0886,CVE-2018-1000852,CVE-2018-8784,CVE-2018-8785,CVE-2018-8786,CVE-2018-8787,CVE-2018-8788,CVE-2018-8789,CVE-2020-11017,CVE-2020-11018,CVE-2020-11019,CVE-2020-11038,CVE-2020-11039,CVE-2020-11040,CVE-2020-11041,CVE-2020-11043,CVE-2020-11085,CVE-2020-11086,CVE-2020-11087,CVE-2020-11088,CVE-2020-11089,CVE-2020-11095,CVE-2020-11096,CVE-2020-11097,CVE-2020-11098,CVE-2020-11099,CVE-2020-11521,CVE-2020-11522,CVE-2020-11523,CVE-2020-11524,CVE-2020-11525,CVE-2020-11526,CVE-2020-13396,CVE-2020-13397,CVE-2020-13398,CVE-2020-15103,CVE-2020-4030,CVE-2020-4031,CVE-2020-4032,CVE-2020-4033
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    freerdp-2.1.2-12.20.1, vinagre-3.20.2-16.3.3
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    freerdp-2.1.2-12.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.